#include <QList> //QList
#include <iostream> //cout
#include <QTime> //QTime

using namespace std; //cout

int main(int argc, char *argv[])
{
    Q_UNUSED(argc);
    Q_UNUSED(argv);
    
    QList<int> intList;

    cout << __FILE__ << ", " << __LINE__ << ", " << __func__ << ", generating integers" << endl; //Debug.

    for(auto intCounter=0;intCounter<100000000;intCounter++)
    {
        int currentRandomNumber=qrand() % 1000000000;

        intList << currentRandomNumber;
    } //for(auto intCounter=0;intCounter<100;intCounter++)

    cout << endl << __FILE__ << ", " << __LINE__ << ", " << __func__ << ", finished generating integers" << endl; //Debug.

    cout << endl << __FILE__ << ", " << __LINE__ << ", " << __func__ << ", start search, time: " << QTime::currentTime ().toString ().toStdString () << endl; //Debug.

    QTime timing;
    timing.start(); //开始计时。

    qSort(intList); //快速排序。

    QList<int> result=intList.mid (0,600); //获取结果。

    cout << endl << __FILE__ << ", " << __LINE__ << ", " << __func__ << ", finished search, time: " << QTime::currentTime ().toString ().toStdString () << endl; //Debug.
    
    cout << endl << __FILE__ << ", " << __LINE__ << ", " << __func__ << ", finished search, elapsed time: " << timing.elapsed() << "ms" << endl; //Debug.

    cout << __FILE__ << ", " << __LINE__ << ", " << __func__ << ", got result: " << endl; //Debug.

    for(int currentValue:result)
    {
        cout << currentValue << ", ";
    } //for(int currentValue:result)

    cout << endl << __FILE__ << ", " << __LINE__ << ", " << __func__ << ", result over" << endl; //Debug.

    return 0;
}
